Bug 215370 - [PATCH] Update x11/nvidia-driver to 375.26, 340.101, 304.134
Summary: [PATCH] Update x11/nvidia-driver to 375.26, 340.101, 304.134
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-12-18 04:12 UTC by Kevin Bowling
Modified: 2017-01-13 12:36 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
x11/nvidia-driver to 375.26, 340.101, 304.134 (4.45 KB, patch)
2016-12-18 04:12 UTC, Kevin Bowling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Bowling freebsd_committer 2016-12-18 04:12:19 UTC
Created attachment 178043 [details]
x11/nvidia-driver to 375.26, 340.101, 304.134

This brings official support for FreeBSD 11

It also enables xorg-server 1.19

http://www.nvidia.com/object/unix.html
Comment 1 Bengt Ahlgren 2016-12-29 16:36:31 UTC
(In reply to Kevin Bowling from comment #0)

I tested 375.26 vith a GeForce GTX 550 Ti on 10.3-R. Seems to work well so far.

Still has the blocky text console issue together with vt, like previous versions, so proper vt integration seems still lacking.  Kevin, did you try with 11.0?

Suspend/resume seems to work with both sc and vt, provided that Xorg first is started. With vt there is the glitch that Xorg vty isn't repainted properly, requiring a switch to a text console and back. If Xorg isn't started suspend/resume does not turn the monitor back on for the text consoles - it is completely black. Then starting Xorg results in a working graphics console, but text consoles are still black. (Note: this is a desktop system!)

NB: there is no regression compared to previous version in ports, as far as I can see.

Nit: I guess that PORTREVISION should be reset to 0?
Comment 2 Kevin Bowling freebsd_committer 2017-01-01 13:24:41 UTC
(In reply to Bengt Ahlgren from comment #1)
I am running it on -CURRRENT on my daily driver, very heavy use including Firefox and Chromium with all accel enabled.
Comment 3 Jonathan Chen 2017-01-13 02:48:58 UTC
Besides bumping up the DISTVERSION, doesn't PORTREVISION need to be reduced?
Comment 4 commit-hook freebsd_committer 2017-01-13 12:03:19 UTC
A commit references this bug:

Author: tijl
Date: Fri Jan 13 12:02:50 UTC 2017
New revision: 431369
URL: https://svnweb.freebsd.org/changeset/ports/431369

Log:
  Update nvidia driver to 375.26 and legacy drivers to 340.101 and 304.134.

  This brings official support for FreeBSD 11 and Xorg server 1.19.

  PR:		215370
  Submitted by:	kbowling
  Approved by:	danfe (maintainer)

Changes:
  head/x11/nvidia-driver/Makefile
  head/x11/nvidia-driver/distinfo
  head/x11/nvidia-driver/pkg-plist
  head/x11/nvidia-driver-304/Makefile
  head/x11/nvidia-driver-340/Makefile